GEEQIE(1)

NAME
Geeqie - GTK based multiformat image viewer

SYNOPSIS
geeqie [options] [path]

DESCRIPTION
Geeqie is an interactive GTK based image viewer that supports multiple image formats, zooming, panning, thumbnails and sorting images into collections.

Generated for version:

Geeqie 2.5

  Valid options:

--blank
    start with blank file list

--cache-maintenance=<path>
    run cache maintenance in non-GUI mode

--disable-clutter
    disable use of Clutter library (i.e. GPU accel.)

-f, --fullscreen
    start in full screen mode

--geometry=WxH+XOFF+YOFF
    set main window location

-h, --help
    show this message

-l, --list [files] [collections] open collection window for command line

-n, --new-instance
    open a new instance of Geeqie *

-o, --log-file=<file>
    save log data to file

-r, --remote
    send following commands to open window

-s, --slideshow
    start in slideshow mode

-T, --with-tools
    force show of tools

-t, --without-tools
    force hide of tools

-v, --version
    print version info

-w, --show-log-window
    show log window

--debug=[level]
    turn on debug output

-g, --grep=<regexp>
    filter debug output

* Normally a single set of configuration files is used for all instances. However, the environment variables XDG_CONFIG_HOME, XDG_CACHE_HOME, XDG_DATA_HOME can be used to modify this behavior on an individual basis e.g.

XDG_CONFIG_HOME=/tmp/a XDG_CACHE_HOME=/tmp/b geeqie

  Remote command list:

--action=<ACTION>
    execute keyboard action (See Help/Reference/Remote Keyboard Actions)

--action-list
    list available keyboard actions (some are redundant)

-b   --back
    previous image

--close-window
    close window

--config-load=<FILE>|layout ID
    load configuration from FILE

--cache-metadata
    clean the metadata cache

--cache-render=<folder>
    render thumbnails

--cache-render-recurse=<folder>
    render thumbnails recursively

--cache-render-shared=<folder>
    render thumbnails (see Help)

--cache-render-shared-recurse=<folder>
    render thumbnails recursively (see Help)

--cache-shared=clean|clear
    clean or clear shared thumbnail cache

--cache-thumbs=clean|clear
    clean or clear thumbnail cache

-d   --delay=<[H:][M:][N][.M]>
    set slide show delay to Hrs Mins N.M seconds

--first
    first image

-f   --fullscreen
    toggle full screen

--file=<FILE>|<URL>
    open FILE or URL, bring Geeqie window to the top

--File=<FILE>|<URL>
    open FILE or URL, do not bring Geeqie window to the top

--fullscreen-start
    start full screen

--fullscreen-stop
    stop full screen

--geometry=<GEOMETRY>
    set window geometry

--get-collection=<COLLECTION>
    get collection content

--get-collection-list
    get collection list

--get-destination=<FILE>
    get destination path of FILE (See Plugins Configuration)

--get-file-info
    get file info

--get-filelist=[<FOLDER>]
    get list of files and class

--get-filelist-recurse=[<FOLDER>]
    get list of files and class recursive

--get-rectangle
    get rectangle co-ordinates

--get-render-intent
    get render intent

--get-selection
    get list of selected files

--get-sidecars=<FILE>
    get list of sidecars of FILE

--get-window-list
    get window list

--id=<ID>
    window id for following commands

--last
    last image

--list-add=<FILE>
    add FILE to command line collection list

--list-clear
    clear command line collection list

--lua=<FILE>,<lua script>
    run lua script on FILE

--new-window
    new window

-n   --next
    next image

--pixel-info
    print pixel info of mouse pointer on current image

--print0
    terminate returned data with null character instead of newline

--PWD=<PWD>
    use PWD as working directory for following commands

-q   --quit
    quit

--raise
    bring the Geeqie window to the top

--selection-add=[<FILE>]
    adds the current file (or the specified file) to the current selection

--selection-clear
    clears the current selection

--selection-remove=[<FILE>]
    removes the current file (or the specified file) from the current selection

-s   --slideshow
    toggle slide show

--slideshow-recurse=<FOLDER>
    start recursive slide show in FOLDER

--slideshow-start
    start slide show

--slideshow-stop
    stop slide show

--tell
    print filename [and Collection] of current image

-T   --tools-show
    show tools

-t   --tools-hide
    hide tools

--view=<FILE>
    open FILE in new window

    All other command line parameters are used as plain files if they exist.

    The name of a collection, with or without either path or extension (.gqv) may be used.

BUGS
Please send bug reports and feedback to https://github.com/BestImageViewer/geeqie/issues

COPYRIGHT
Copyright (C) 1999-2004 by John Ellis. Copyright (C) 2004-2024 by The Geeqie Team. Use this software at your own risk! This software released under the GNU General Public License. Please read the COPYING file for more information.

SEE ALSO
Full documentation: https://www.geeqie.org/help/GuideIndex.html